=== Makefile ===
all: foo bar

foo: poltest.c
	gcc -o foo poltest.c

bar: poltest.c
	gcc -o bar poltest.c

install: foo bar
	install -m 0755 -d $(DESTDIR)/usr/bin
	install -m 0755 foo $(DESTDIR)/usr/bin 
	install -m 0755 bar $(DESTDIR)/usr/bin 

clean:
	rm -f foo bar
