=== debian/changelog ===
rpm (4.20.1+dfsg-3deepin1) unstable; urgency=medium

  * Fix check_c_compiler_flag cmake tests.
  * Add nettle-dev as Depends, remove it when libarchive has new release.

 -- qaqland <anguoli@uniontech.com>  Tue, 15 Jul 2025 20:52:07 +0800

rpm (4.20.1+dfsg-3) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Properly break manpages-l10n, so that localized man pages can be
    shipped in Trixie. (Closes: #1077994)

  [ Luca Boccassi ]
  * Backport patch to fix sysuser.sh script with $ROOT

 -- Luca Boccassi <bluca@debian.org>  Fri, 20 Jun 2025 13:35:15 +0100

rpm (4.20.1+dfsg-2) unstable; urgency=medium

  * Enable support for librpm-sequoia

 -- Luca Boccassi <bluca@debian.org>  Fri, 28 Mar 2025 10:51:04 +0000

rpm (4.20.1+dfsg-1) unstable; urgency=medium

  * New upstream version 4.20.1+dfsg
  * Drop patch merged upstream

 -- Luca Boccassi <bluca@debian.org>  Fri, 21 Feb 2025 10:25:10 +0000

rpm (4.20.0+dfsg-4) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/control: Remove retired package uploader.

  [ Luca Boccassi ]
  * Backport patch to fix unshare plugin error on bootstrap (Closes:
    #1093779)

 -- Luca Boccassi <bluca@debian.org>  Sun, 16 Feb 2025 19:13:20 +0000
