=== debian/control ===
Source: rpm
Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13),
               binutils-dev,
               bzip2,
               cmake,
               debugedit (>= 1:5),
               dh-sequence-python3,
               dh-package-notes,
               gnupg2 [linux-any],
               libacl1-dev,
               libarchive-dev,
               libaudit-dev [linux-any],
               libbz2-dev,
               libcap-dev [linux-any],
               libdbus-1-dev,
               libdw-dev,
               libelf-dev,
               libfsverity-dev [linux-any],
               libgcrypt20-dev,
               liblua5.3-dev,
               liblzma-dev,
               libmagic-dev,
               libpopt-dev,
               libreadline-dev,
               librpm-sequoia-dev [!alpha !hppa !m68k !sh4 !x32],
               libselinux1-dev [linux-any],
               libsemanage-dev [linux-any],
               libsepol-dev [linux-any],
               libsqlite3-dev,
               libxml2-dev,
               libzstd-dev,
               nettle-dev,
               7zip,
               pkgconf,
               python3-dev,
               python3-utf8-locale <!nocheck>,
               xz-utils,
               zlib1g-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/rpm
Vcs-Git: https://salsa.debian.org/pkg-rpm-team/rpm.git
Homepage: https://rpm.org/

Package: rpm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rpm2cpio,
         debugedit (>= 1:5),
         rpm-common (= ${binary:Version})
Suggests: alien,
          python3,
          elfutils,
          rpmlint,
          rpm-i18n
Description: package manager for RPM
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 On Debian and derived systems it is recommended to use "alien" to
 convert RPM packages into .deb format instead of bypassing the Debian
 package management system by installing them directly with rpm.

Package: rpm2cpio
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rpm-common (= ${binary:Version})
Suggests: rpm-i18n
Description: tool to convert RPM package to CPIO archive
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package contains tool to convert RPM packages to standard CPIO
 archive.

Package: rpm-common
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: common files for RPM
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package contains some scripts and default configuration which is
 used by RPM libraries.

Package: rpm-i18n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends}
Suggests: rpm
Breaks: manpages-pl (<< 1:4.27.0-1), manpages-ko (<< 4.27.0-1)
Description: localization for rpm
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package contains localization of rpm.
 .
 Translated man pages are available from the respective manpages-xx package,
 where xx is your language code, e.g. pl.

Package: librpm10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         librpmio10 (= ${binary:Version})
Recommends: rpm-common (= ${binary:Version})
Description: RPM shared library
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This library allows programs to make use of an RPM database or RPM packages
 without going through the program rpm.

Package: librpmio10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: RPM IO shared library
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This library provides basic IO functionality which is used by librpm.

Package: librpmbuild10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         librpm10 (= ${binary:Version}),
         librpmio10 (= ${binary:Version})
Description: RPM build shared library
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This library provides an interface for building RPM packages.

Package: librpmsign10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         librpm10 (= ${binary:Version}),
         librpmio10 (= ${binary:Version})
Description: RPM signing shared library
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This library provides an interface for signing RPM packages.

Package: librpm-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: librpm10 (= ${binary:Version}),
         librpmio10 (= ${binary:Version}),
         librpmbuild10 (= ${binary:Version}),
         librpmsign10 (= ${binary:Version}),
         libpopt-dev,
         libbz2-dev,
         zlib1g-dev,
         libxml2-dev,
         libreadline-dev,
         librpm-sequoia-dev [!alpha !hppa !m68k !sh4 !x32],
         libzstd-dev,
         libselinux1-dev [linux-any],
         libsqlite3-dev,
         libgcrypt20-dev,
         libaudit-dev [linux-any],
         libfsverity-dev [linux-any],
         ${misc:Depends}
Description: RPM shared library, development kit
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package provides the development kit, containing static
 libraries and header files necessary to build programs that use
 librpm.

Package: python3-rpm
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         librpm10 (= ${binary:Version}),
         librpmio10 (= ${binary:Version}),
         librpmbuild10 (= ${binary:Version}),
         librpmsign10 (= ${binary:Version}),
         rpm-common (= ${binary:Version})
Breaks: ${python3:Breaks}
Provides: ${python3:Provides}
Description: Python 3 bindings for RPM
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package includes the Python bindings for librpm, allowing Python
 scripts to manipulate RPM packages and the RPM database.
 .
 This package installs the library for Python 3.
